Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Typedefs
Observable.h File Reference
`#include <set>`
`#include <tulip/TulipRelease.h>`
`#include <tulip/TulipException.h>`
`#include <tulip/ForEach.h>`
`#include <tulip/vectorgraph.h>`
Include dependency graph for Observable.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::Event
    Event is the base class for all events used in the Observable/listener/Observer mechanism. More...
- class tlp::ObservableException
    ObservableException is the base class of all exceptions sent by the Observable/Listener/Observer system. More...
- class tlp::Observable
    Observable is the base class for the implementation of observable Object by Listener or Observer objects. More...

## Namespaces

- namespace tlp

## Typedefs

- typedef _DEPRECATED Observable tlp::Observer

Tulip Software by LaBRI Visualization Team 2001 - 2012